### Functions

## Generate a random value.

    crypt_random(\optional $min, \optional $max) : Integer

On 32-bit machines, the largest distance that can exist between $min and $max is 2**31. If $min and $max are farther apart than that then the last ($max - range) numbers.

Depending on how this is being used, it may be worth while to write a replacement. For example, a PHP-based web app that stores its data in an SQL database can collect more entropy than this function can.

access | public

### Parameters

#### $min

`\optional`

Integer $min

#### $max

`\optional`

Integer $max

### Returns

`Integer`